Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface ISeriesUIProvider

public interface ISeriesUIProvider

Author:
  Actuate Corporation

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.chart.model.attribute.AxisType[]`
`getCompatibleAxisType(org.eclipse.birt.chart.model.component.Series series)`
Get the compatible axis type according to series type.
`List<ISeriesButtonEntry>`
`getCustomButtons(org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, org.eclipse.birt.chart.model.data.SeriesDefinition sd)`
Gets custom buttons to add after built-in buttons.
`org.eclipse.swt.widgets.Composite`
`getSeriesAttributeSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.component.Series series)`
Deprecated.
use getSeriesAttributeSheet( Composite parent, Series series, IUIServiceProvider builder, Object oContext )
`org.eclipse.swt.widgets.Composite`
`getSeriesAttributeSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.component.Series series, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)`
Fetches the composite used to set attribute properties for a series.
`String`
`getSeriesClass()`
Fetches the class of the series for which this class provides services
`ISelectDataComponent`
`getSeriesDataComponent(int seriesType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesDefn, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`
`org.eclipse.swt.widgets.Composite`
`getSeriesDataSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, IUIServiceProvider builder, Object oContext)`
Deprecated.
`boolean`
`isValidAggregationType(org.eclipse.birt.chart.model.component.Series series, org.eclipse.birt.chart.model.data.SeriesDefinition orthSD, org.eclipse.birt.chart.model.data.SeriesDefinition baseSD)`
Validate the aggregation type.
`void`
`validateSeriesBindingType(org.eclipse.birt.chart.model.component.Series series, IDataServiceProvider idsp)`
Validate whether the series can contain the data type.
`int[]`
`validationIndex(org.eclipse.birt.chart.model.component.Series series)`
Deprecated.
to use `Series.getDefinedDataDefinitionIndex()` instead.

## Method Details

### getSeriesAttributeSheet

@Deprecated org.eclipse.swt.widgets.Composite getSeriesAttributeSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.component.Series series)
Deprecated.
use getSeriesAttributeSheet( Composite parent, Series series, IUIServiceProvider builder, Object oContext )
Fetches the composite used to set attribute properties for a series.

Parameters:
  `parent` - container for the series attribute composite series the series for which this attribute composite is being provided
Returns:
  the series attribute composite

### getSeriesAttributeSheet

org.eclipse.swt.widgets.Composite getSeriesAttributeSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.component.Series series, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)
Fetches the composite used to set attribute properties for a series.

Parameters:
  `parent` - container for the series attribute composite series the series for which this attribute composite is being provided
Returns:
  the series attribute composite
Since:
  2.1

### getCustomButtons

List<ISeriesButtonEntry> getCustomButtons(org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, org.eclipse.birt.chart.model.data.SeriesDefinition sd)
Gets custom buttons to add after built-in buttons.

Parameters:
  `context` - wizard context
  `sd` - value series definition
Since:
  2.6.2

### getSeriesDataSheet

@Deprecated org.eclipse.swt.widgets.Composite getSeriesDataSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, IUIServiceProvider builder, Object oContext)
Deprecated.
Fetches the composite used to set data properties for a series.

Parameters:
  `parent` - container for the series data composite series the series for which this data composite is being provided
Returns:
  the series data composite
See Also:
  - `getSeriesDataComponent(int, SeriesDefinition, ChartWizardContext, String)`

### getSeriesClass

String getSeriesClass()
Fetches the class of the series for which this class provides services

Returns:
  the fully qualified class name of the series class in the model. (This class has to extend the org.eclipse.birt.chart.model.component.Series interface.)

### getSeriesDataComponent

ISelectDataComponent getSeriesDataComponent(int seriesType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesDefn, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)

### validateSeriesBindingType

void validateSeriesBindingType(org.eclipse.birt.chart.model.component.Series series, IDataServiceProvider idsp) throws org.eclipse.birt.chart.exception.ChartException
Validate whether the series can contain the data type.

Parameters:
  `series` -
  `idsp` -
Throws:
  `org.eclipse.birt.chart.exception.ChartException`
Since:
  2.2

### isValidAggregationType

boolean isValidAggregationType(org.eclipse.birt.chart.model.component.Series series, org.eclipse.birt.chart.model.data.SeriesDefinition orthSD, org.eclipse.birt.chart.model.data.SeriesDefinition baseSD)
Validate the aggregation type.

Parameters:
  `series` -
  `orthSD` -
  `baseSD` -
Returns:
  true if valid
Since:
  2.5

### getCompatibleAxisType

org.eclipse.birt.chart.model.attribute.AxisType[] getCompatibleAxisType(org.eclipse.birt.chart.model.component.Series series)
Get the compatible axis type according to series type.

Parameters:
  `series` -
Returns:
  An array containing all possible axis types for the designated series.
Since:
  2.2

### validationIndex

@Deprecated int[] validationIndex(org.eclipse.birt.chart.model.component.Series series)
Deprecated.
to use `Series.getDefinedDataDefinitionIndex()` instead.

Parameters:
  `series` -
Returns:
  An array containing the index of all data definitions not allowed to be null.